{
	"name": "taskplaner",
	"private": true,
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"db:generate": "drizzle-kit generate",
		"db:migrate": "drizzle-kit migrate",
		"db:push": "drizzle-kit push",
		"db:studio": "drizzle-kit studio",
		"test:e2e": "playwright test",
		"test:e2e:docker": "BASE_URL=http://localhost:3000 playwright test tests/docker-deployment.spec.ts"
	},
	"devDependencies": {
		"@playwright/test": "^1.58.1",
		"@sveltejs/adapter-auto": "^7.0.0",
		"@sveltejs/adapter-node": "^5.5.2",
		"@sveltejs/kit": "^2.50.1",
		"@sveltejs/vite-plugin-svelte": "^6.2.4",
		"@types/better-sqlite3": "^7.6.13",
		"drizzle-kit": "^0.31.8",
		"eslint": "^9.39.2",
		"eslint-config-prettier": "^10.1.8",
		"eslint-plugin-svelte": "^3.14.0",
		"prettier": "^3.8.1",
		"svelte": "^5.48.2",
		"svelte-check": "^4.3.5",
		"typescript": "^5.9.3",
		"vite": "^7.3.1"
	},
	"dependencies": {
		"@tailwindcss/vite": "^4.1.18",
		"better-sqlite3": "^12.6.2",
		"drizzle-orm": "^0.45.1",
		"nanoid": "^5.1.6",
		"sharp": "^0.34.5",
		"svelecte": "^5.3.0",
		"svelte-gestures": "^5.2.2",
		"svelte-lightbox": "^1.1.7",
		"svelte-persisted-store": "^0.12.0",
		"tailwindcss": "^4.1.18",
		"zod": "^4.3.6"
	}
}
